> ## Documentation Index
> Fetch the complete documentation index at: https://www.klavis.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Release a local sandbox

> Releases the local sandbox VM and all associated servers, cleaning up the shared environment.



## OpenAPI

````yaml delete /local-sandbox/{local_sandbox_id}
openapi: 3.1.0
info:
  title: Klavis AI (https://www.klavis.ai)
  description: Klavis AI - Open Source MCP Integrations for AI Applications
  version: 0.1.0
servers:
  - url: https://api.klavis.ai
    description: US Production server
  - url: https://api.eu.klavis.ai
    description: EU Production server
security: []
paths:
  /local-sandbox/{local_sandbox_id}:
    delete:
      tags:
        - local-sandbox
      summary: Release a local sandbox
      description: >-
        Releases the local sandbox VM and all associated servers, cleaning up
        the shared environment.
      operationId: release_local_sandbox_local_sandbox__local_sandbox_id__delete
      parameters:
        - name: local_sandbox_id
          in: path
          required: true
          schema:
            type: string
            description: The ID of the local sandbox to release
            title: Local Sandbox Id
          description: The ID of the local sandbox to release
        - name: is_ttl
          in: query
          required: false
          schema:
            type: boolean
            description: Flag indicating if this is a TTL release task
            default: false
            title: Is Ttl
          description: Flag indicating if this is a TTL release task
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Klavis AI API key.
      scheme: bearer
      x-fern-bearer:
        name: api_key

````